Get a scenario
curl --request GET \
--url https://{command_center_host}/api/v1/scenarios/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{command_center_host}/api/v1/scenarios/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{command_center_host}/api/v1/scenarios/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "scn_af30b030-...",
"title": "nginx down",
"description": "<string>",
"tags": [
"<string>"
],
"ticket_title": "<string>",
"ticket_body": "<string>",
"vars": {},
"prepare": [
{}
],
"restore": [
{}
],
"validation": [
{
"label": "<string>",
"validator": "pattern_match",
"pattern": "<string>",
"where": "task_summary",
"required": true,
"negate": true
}
],
"status": "draft",
"hosts": [
"web-01"
],
"agents": [
"agent-linux-1"
],
"agent_hosts": {},
"agent_info": {},
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z"
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Scenarios
Get a scenario
GET
/
api
/
v1
/
scenarios
/
{id}
Get a scenario
Authorizations
An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.
Path Parameters
Response
The scenario
Example:
"scn_af30b030-..."
Example:
"nginx down"
Show child attributes
Show child attributes
Ordered shell commands, each { run, on? }, in the shape POST /api/v1/scenarios accepts.
Show child attributes
Show child attributes
Ordered shell commands, each { run, on? }, in the shape POST /api/v1/scenarios accepts.
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Available options:
draft, published, disabled Example:
["web-01"]
Example:
["agent-linux-1"]
Agent name to the host it is attached to
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"org_460b541c-..."
Example:
"ten_115bea44-..."
Example:
"2026-08-26T10:00:26.380Z"
Example:
"2026-08-26T10:00:26.380Z"

